Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZOrderStatusHistory Class Reference

Handles a list of status changes to an order item. More...

Inheritance diagram for eZOrderStatusHistory:

## Public Member Functions
| __construct ( $row)
| modifier ()
| fetchOrderStatus ()
| fetchOrderStatusName ()
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
| fetch ( $id, $asObject=true)
static | fetchListByOrder ( $orderID, $asObject=true)
static | fetchCount ( $orderID, $asObject=true)
static | create ( $orderID, $statusID, $userID=false, $timestamp=false)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $StatusName
| $StatusID
| $Modifier
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles a list of status changes to an order item.

This uses the database table ezorder_status_history to store changes in status for an order item. Each entry consists of the new status, the time it was done and the person who did the change.

The `order_id` refers to the external ID of an order (`order_nr`) and not the internal auto increment value.

To fetch a given history element use fetch() with the history ID. If you intend to display the history elements for an order item use the fetchListByOrder() function which returns the history sorted by date (newest first). If you are interested in the number of history elements for an order use the fetchCount() function.

If you intend to create a new history element use the create() function.

Definition at line 34 of file ezorderstatushistory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZOrderStatusHistory::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 38 of file ezorderstatushistory.php.

## Member Function Documentation

## ◆ create()

static eZOrderStatusHistory::create | ( |  | $orderID,
|  |  | $statusID,
|  |  | $userID = `false`,
|  |  | $timestamp = `false`
| ) |  |
| static

Returns
  A new eZOrderStatusHistory object initialized with the input parameters.

Definition at line 181 of file ezorderstatushistory.php.

References eZUser\currentUserID().

Referenced by eZOrder\createStatusHistory(), and eZOrder\modifyStatus().

## ◆ definition()

static eZOrderStatusHistory::definition | ( |  | ) |
| static

Returns
  the persistent object definition for the eZOrderStatusHistory class.

Reimplemented from eZPersistentObject.

Definition at line 50 of file ezorderstatushistory.php.

Referenced by fetch().

## ◆ fetch()

eZOrderStatusHistory::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Returns
  the status history object with the given DB ID.

Definition at line 136 of file ezorderstatushistory.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchCount()

static eZOrderStatusHistory::fetchCount | ( |  | $orderID,
|  |  | $asObject = `true`
| ) |  |
| static

Parameters

  $asObject | If `true` return them as objects.

Returns
  A list of defined orders sorted by status ID.

Definition at line 168 of file ezorderstatushistory.php.

References eZDB\instance().

## ◆ fetchListByOrder()

static eZOrderStatusHistory::fetchListByOrder | ( |  | $orderID,
|  |  | $asObject = `true`
| ) |  |
| static

Parameters

  $asObject | If `true` return them as objects.

Returns
  A list of defined orders sorted by status ID.

Definition at line 149 of file ezorderstatushistory.php.

References eZPersistentObject\handleRows(), and eZDB\instance().

## ◆ fetchOrderStatus()

eZOrderStatusHistory::fetchOrderStatus | ( |  | ) |

Returns
  The order status object for this history entry.

See also
  fetchOrderStatusName()

Definition at line 108 of file ezorderstatushistory.php.

References $StatusID, and eZOrderStatus\fetchMap().

Referenced by fetchOrderStatusName().

## ◆ fetchOrderStatusName()

eZOrderStatusHistory::fetchOrderStatusName | ( |  | ) |

Returns
  The name of the order status for this history entry.

See also
  fetchOrderStatus()

Definition at line 122 of file ezorderstatushistory.php.

References $StatusName, and fetchOrderStatus().

## ◆ modifier()

eZOrderStatusHistory::modifier | ( |  | ) |

Returns
  The user which modified the status, this is returned as a content object.

Note
  The field `modified_id` is used to find the user, this will contain the content object ID of the user.

Definition at line 95 of file ezorderstatushistory.php.

References $Modifier, and eZContentObject\fetch().

## Member Data Documentation

## ◆ $Modifier

eZOrderStatusHistory::$Modifier

This is used for caching the current modifier, it will either contain `null` (uncached) or a content object (cached).

Definition at line 203 of file ezorderstatushistory.php.

Referenced by modifier().

## ◆ $StatusID

eZOrderStatusHistory::$StatusID

Definition at line 37 of file ezorderstatushistory.php.

Referenced by fetchOrderStatus().

## ◆ $StatusName

eZOrderStatusHistory::$StatusName

Definition at line 36 of file ezorderstatushistory.php.

Referenced by fetchOrderStatusName().

The documentation for this class was generated from the following file:

- ezorderstatushistory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.